using Avalonia.Collections;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using Editopia.Editor.Pages;
using System;
using System.Collections;
using System.Collections.Generic;

namespace Editopia.Editor
{
    public class MainView : UserControl
    {
        public MainView()
        {
            this.InitializeComponent();
        }

        private void InitializeComponent()
        {
            AvaloniaXamlLoader.Load(this);
            IList tabItems = ((IList)this.FindControl<TabControl>("Sidebar").Items);
            tabItems.Add(new TabItem()
            {
                Header = "Trainer Page",
                Content = new EditTrainer()
            });
        }
    }
}
